from pydantic import BaseModel, ConfigDict, Field


class AgencyTariffCodeDTO(BaseModel):
    id: int
    tariff_flag_code: str = Field(..., max_length=10)
    agency_code: str = Field(..., max_length=10)
    requirement_level: str = Field(..., min_length=1, max_length=1)
    program_code: str = Field(..., max_length=10)
    definition: str = Field(..., max_length=500)

    model_config = ConfigDict(from_attributes=True)
